Skip to main content
PATCH
/
v1
/
admin
/
finance
/
bookings
/
{bookingId}
/
guarantees
/
{guaranteeId}
Update a booking guarantee
curl --request PATCH \
  --url https://{operatorDomain}/v1/admin/finance/bookings/{bookingId}/guarantees/{guaranteeId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "grnt_01HZX...",
  "bookingId": "<string>",
  "amountCents": 50000,
  "currency": "EUR",
  "kind": "deposit",
  "status": "pending"
}
'
{
  "data": {
    "id": "grnt_01HZX...",
    "bookingId": "<string>",
    "amountCents": 50000,
    "currency": "EUR",
    "kind": "deposit",
    "status": "pending"
  }
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Path Parameters

bookingId
string
required
guaranteeId
string
required

Body

application/json
id
string
required
Example:

"grnt_01HZX..."

bookingId
string
required
amountCents
integer
required
Example:

50000

currency
string
required
Required string length: 3
Example:

"EUR"

kind
string
Example:

"deposit"

status
enum<string>
Available options:
pending,
held,
released,
captured
Example:

"pending"

Response

200 - application/json

Updated guarantee

data
object